ATL Trace Tool Help

ATLTraceTool

To use the ATLTrace tool:

  1. Debug an MFC or ATL project; select Start from the Debug menu.
  2. Select MFC/ATL Trace Tool in the Tools menu.
  3. Expand the tree control list in the Trace List window. Here you will see the running application, any modules within that application, and the trace categories for each module.
  4. Customize, for each process, module, and category, which information is displayed in the output window. The Trace level control in the Process group is related to the ATLTRACE2 level; only those ATLTRACE2 messages with a level equal to or greater than the setting in the Trace level control will be displayed in the output window.
  5. Select Apply to put your settings into effect.
You can save your settings, and load them the next time you debug the application; use the Save and Load buttons.